REX200/250 Changelog

8-4-3 	2025-09-23 	

Bugfixes
[EMB-51] - Defining hosts on webfrontend is broken
[EMB-56] - Server list in firststart is not up to date
[EMB-63] - Device webfrontend freezes when triggering various actions on frontend
[EMB-100] - Preparation for the function to change the device name in the portal
[EMB-104] - Firewall forwarding rules without IP entered must not involve ICMP
[EMB-109] - Automatic device reboot does not work

Version 8.4.0 (23.3.25)

NEW MAJOR FUNCTIONALITIES 802.1x Authentication on WiFi
The 802.1x authentication method is available for the WiFi interface of the device to identify itself towards a Radius Server in a secure network architecture.

8-4-0   Features
[NERO-362] - Implement 802.1x authentication for the WiFi interface
[NERO-464] - Prepair firmware to support login on webfrontend via OTP service PIN

Improvements
[NERO-472] - Apply configuration file on USB drive automatically after firmware update
[NERO-423] - Make OpenVPN digest algorithm adjustable
[NERO-424] - Add functionality to import RSP configuration files directly via webfrontend

Bugfixes
[NERO-380] - Status API: Some variables are missing if WAN link is down
[NERO-394] - tec.boost license creates LAN interfaces B - D on older devices
[NERO-395] - SFTP access (IoT) does not work after factory reset
[NERO-398] - Acces to device webfrontend sometimes not possible
[NERO-411] - Incorrectly displayed information on webfrontend if user is connected
[NERO-414] - CA check for MQTT bridge can not be enabled
[NERO-438] - Disabled LAN segments are not removed from devices routing table
[NERO-444] - Data24 stops working after alarm condition for datapoint was triggered
[NERO-446] - Regression: Authentication to GSM provider via CHAP or PAP is not possible any more
[NERO-453] - LAN routes are created after configuration changes in RSP
[NERO-454] - MAC to IP Bindings are not transferred to the device

Version 8.3.2 (19.9.24)

8-3-2 	Improvements
[NERO-405] - Harden config encryption key management against intermittent failures
Bugfixes
[NERO-401] - Data exchange for data points (Data24) between RSP and REX sometimes fails
[NERO-402] - OpenVPN connection to RSP is not established anymore after firmware update

8-3-1 	Improvements
[NERO-396] - Improve config encryption key management
Bugfixes
[NERO-386] - VPN connection is either not established or does not reconnect reliably
[NERO-392] - IPSec connection is not established anymore after firmware update

8-3-0 	Bugfixes
[NERO-358] - Fix potential memory leak in logging service
[NERO-364] - MQTT Bridge crashes if no user/password is entered
[NERO-365] - Fix NTP server and client misconfiguration
[NERO-367] - SFTP connection with Filezilla fails since firmware version 8.2.0
[NERO-368] - Rework and fix of SNMP menu in webfrontend
[NERO-366][NERO-378] - Security Fix SIM#2024-04


Version 8.2.0 (29.7.24)

NEW MAYOR FUNCTIONALITIES  802.1x Authentication
The 802.1x authentication method is available for the WAN interface of the device to identify itself towards a Radius Server in a secure network architecture.

SNMP
The device is now able to provide device states, so called MIBs, via the SNMP v3 protocol that is standard in IT environments, e.g., in Managed Ethernet Switches. This empowers the IT-Administration to integrate our remote access router to be part of their surveillance system (ports on/off, VPN state, firewall drop counts etc.)

MQTT Bridge
This feature empowers the device to bridge the local MQTT Broker to a desired and defined external MQTT Broker. It is a new and easy way to provide local sourced machine data to an external MQTT Broker.
Note: This feature requires a license activation.

Features
[RA70-115] - SNMP: Read status information from device via SNMPv3 protocol
[RA70-131] - Separated Networks : Dividing the four LAN ports into different, independent subnets
[RA70-326] - MQTT Bridge : Make the local broker's data available on an external broker
[RA70-336] - Radius: Implement 802.1x authentication for the WAN interface

Improvements
[RA70-61] - Rework of available time zones on router
[RA70-62] - Add every active VPN connection to web GUI and syslog of router
[RA70-263] - Extend the API for RSP-Device-Communication with the possibility to check and activate device license
[RA70-277] - Extend Data24 to use certificate for communication with RSP
[RA70-278] - Disable the port check on a standalone device
[RA70-320] - USB drives (e.g. mbMEM) can be formatted via web GUI
[RA70-323] - Add possibility to create firewall rules between LAN segments

Bugfixes
[RA70-67] - Correct Quickstart view if no WAN cable is plugged
[RA70-106] - SMS Commands "OUT ON/OFF" fails
[RA70-145] - The SSH daemon is not sufficiently protected
[RA70-257] - Initiating a VPN connection by sending the SMS code "INET START" does not work
[RA70-271] - Service to monitor network participants can't be enabled
[RA70-286] - NTP can't be activated via web GUI
[RA70-303] - SearchOverIP does not work with firmware 8.x.x
[RA70-316] - Polish GPS Feature (web GUI and minor issues)
[RA70-318] - Data24 does not trigger alarms for singe Modbus bits
[RA70-319] - Information about installed edge version is only shown for active services



Version 8.1.1 (27.03.2024)
8-1-1 	Bug  
[RA70-247] - Statusapi doesn't work anymore
[RA70-248] - GPS daemon is always started on GSM devices
[RA70-249] - Data24 configuration is only applied after a device restart
[RA70-252] - User defined firewall rules are not applied and firewall table is empty
[RA70-254] - OEM-specific configurations are not adopted

Version 8.1.0 (15.03.2024)
8-1-0	Bug
[RA70-159] - Modem controller script is not robust against unexpected responses
[RA70-169] - Diagnosis tool TCPDUMP can't be executed
[RA70-170] - OpenVPN connection can't be established if static key is used
[RA70-171] - Replacing the senders ip address of the client with the LAN ip address with OpenVPN connection doesn't work
[RA70-174] - Multiple OpenVPN ciphers aren't supported any more
[RA70-175] - Frontend-Modal to enter backup key for mbEDGE is not displayed
[RA70-230] - MPI service can't be started any more after factory reset
[RA70-233] - If VPN port is determined automatically, port 1194 is always closed

Improvement
[RA70-160] - Enable GPS localization of RA70 devices with Telit GSM modules
[RA70-172] - Provide GPS information in DATA24
[RA70-166] - Port legacy gpio interface to descriptor based interface for MPI driver

Version 8.0.2 (27.02.2024)
8-0-2 	Bug
[RA70-164] - Web-GUI does not show all device-specific changes for HW6
[RA70-165] - Restoring device configuration on Web-GUI does not work in any case
8-0-1 	Bug
[RA70-161] - SimplyConnect service does not start on devices with firmware 8.0.0
[RA70-162] - Remove option that is not supported anymore when starting system daemons
8-0-0 	Bug
[RA70-60] - With OpenVPN connections setup with interface option "TUN", the wrong OpenVPN interface appears in IP tables rule list
[RA70-99] - Buffer overflow in inputs management binary
[RA70-111] - NTP time update and server function does not always work reliably
[RA70-103] - IPsec does not work with aggressive mode
[RA70-147] - Port forwarding rules that address the interface "ALL" doesn't work correctly
[RA70-148] - Synchronising the system clock and the hardware clock does not work
[RA70-152] - The status of WIFI isn't shown on Web-GUI anymore
[RA70-143] - Pressing Dial-Out/FNC button for restoring factory settings does not work reliably

Improvement
[RA70-10] - Update firmware build system to new version
[RA70-11] - Response if a file is too large to upload via Web-GUI
[RA70-29] - Implement edge version for eMMC chip in new hardware generation HW6
[RA70-77] - Prepair data24 runtime to be part of firmware
[RA70-146] - Add license validation for new HW6 edge implementation on eMMC chip

Version: 7.4.0 (02.10.2023)	
Bug
[RA70-5] - Automatic firmware update does not work
[RA70-6] - Fix SMS reading and improve SMS handling
[RA70-8] - NTP update always throws error message in device log
[RA70-9] - MQTT connection on Web-GUI does not work after activating MQTT API
[RA70-22] - Device comes online with on-demand connection, although respective input is not active

Improvement
[RA70-2] - Control of the internet connection via key switch, not only VPN connection
[RA70-3] - Establish compatibility with Verizon USA
[RA70-7] - Conveniently set time through Web-GUI

Version: 7.3.2 (05.07.2023)
Bug
[NERO-320] - Security fix
[NERO-321] - MQTT broker stops working under certain circumstances
[NERO-325] - MQTT returns an unexpected error

Improvement
[NERO-324] - NTP: Offset correction optimized

Version: 7.3.1 (08.05.2023)
Bug
[NERO-314] - Components connected to the LAN ports werenÂ´t able to connect to the internet anymore

7-3-0 
Bugfixes
[NERO-302] - myrex24.mbn/.mbnx file is not renamed after configuration download from USB device
[NERO-313] - Problem with USBoverIP if USB device uses device driver of mbNET

Improvement
[NERO-301] - Add IPSec IKEv2 support
[NERO-305] - OEM-Router: Firmware channels updated
[NERO-308] - Add access to device Status-API
[NERO-312] - Startup of mbEDGE optimized

7-2-3 	Bug
[NERO-304] - Firmware update not possible on certain hardware due to invalid hardware-compatibility-check

7-2-2 	Bug
[NERO-300] - Docker Hub API updated from V1 to V2
[NERO-303] - SIM card initialization process optimized after soft reboot

7.2.1 
[NERO-298] - [Bug: MB-1022] Set hostname permanent even after a reboot
[NERO-299] - [Bug: MB-1023] Failure during Modem start if there is an empty SIM Tray inserted in the primary SIM Socket

7.2.0
Bugfixes
[NERO-271] - [Bug: MB-881] It is no longer necessary to restart the device after adding a host entry.
[NERO-289] - [Bug: MB-995] On demand VPN connection to portal is disconnected if local device time is changed while connecting
[NERO-290] - [Bug: MB-978] If time synchronisation fails, the local time of the router is adjusted
[NERO-293] - An unconfigured device cannot open the CC-Online Help
[NERO-297] - Device does not start after firmware update

Improvements
[NERO-255] - Do not restart modem when switching SIM socket
[NERO-273] - Hardening firmware update and configuration import
[NERO-278] - [Verbesserung: MB-763] Some serial settings were not displayed correctly when reopened
[NERO-280] - [Verbesserung: MB-948] A REX should only use IPv4 for OpenVPN communication
[NERO-281] - [Verbesserung: MB-984] Some useful information has been added to the web interface
[NERO-294] - [Verbesserung: MB-1006] Adaptation of channels for OEM devices

Feature
[NERO-115] - [Feature] FIMA-198 - Migration API for V1 portal was improved
[NERO-268] - [Feature: MB-888] Display MNC/MCC number of SIM card
[NERO-284] - [Feature: MB-513] Store device diagnose information locally on USB stick
[NERO-286] - [Feature: MB-556] Log analyzer added on the status page of the device
[NERO-287] - [Feature: MB-886] Preparation for a backup server address in the OpenVPN configuration
[NERO-288] - [Feature: MB-983] Integrate Wake-on-LAN into REX
[NERO-292] - [Feature: MB-1003] Display the uptime of the device on the web interface
[NERO-295] - Add OpenVPN HMAC as option

7.1.5 
[NERO-291] - [Bug: MB-998] FTP Traffic masquerade through VPN connection (necessary for active FTP server)

7.1.4     
[NERO-275] - [Bug: MB-959] API raise 500 Internal Server Error

7.1.3
Bugfixes
[NERO-269] - [Bug: MB-895] [EXTERNE MAIL] Sporadic loss of PROFIBUS connection
[NERO-270] - [Bug: MB-922] IPsec routing between networks not possible
[NERO-272] - [Bug: MB-573] Make the action "SMS" in alarmmanagement not selectable for devices without modem
[NERO-274] - [Bug: MB-951] sending an SMS with a space in the number can cause the modem to crash

Improvements
[NERO-182] - [Support] BUGS-344 - WiFi Quickstart page shows green tick without active WiFi connection

7.1.2    
[NERO-266] - Slow Data SIM cards led to network problems

7.1.1    
[NERO-263] - [Bug: MB-902] - Change quickstart permission flag to be compatible with V1 portal
[NERO-264] - [Bug: MB-903] - Update OEM Favicon

7.1.0
[NERO-125] - [BUGS-262] - REX does not terminate VPN connection after preset time
[NERO-227] - Applying device configuration via shDIALUP over network ends in an error
[NERO-221] - [Verbesserung: MB-759] - No output for TCPDUMP on Status/Diagnose page on web interface
[NERO-217] - Mosquitto service must be restarted if device API settings have been changed
[NERO-218] - Stop SIMPLY.connect service if USB drive with firmware or configuration is plugged in
[NERO-236] - Broken error message when creating new user with non-matching passwords
[NERO-243] - Changing a user name on device does not work
[NERO-250] - Config partition can be overfilled with backups, which can lead to problems on device
[NERO-251] - Fix upload of own HTTPS certificate for webserver
[NERO-257] - CTM cannot be switched between active and inactive reliably on web interface

Features
[NERO-134] - Mount USB flash drive into NodeRed Container
[NERO-210] - [Feature: MB-519] - Separated user management on device for access on Flows and Dashboards
[NERO-127] - Recreate docker images for NodeRed and Portainer on device WebUI
[NERO-8]   - Implement automatic forwarding after changing the LAN IP address of device

Improvements
[NERO-256] - Revise WebUI appearance for improved usability: Consolidated colors, style and design
[NERO-223] - [Verbesserung: MB-826] - Adapt server list for first start process on device
[NERO-228] - [Verbesserung: MB-822] - The specification of multiple ports in forwarding rules does not work correctly
[NERO-232] - Improve behavior of diagnose actions on web interface and fix timeout problem
[NERO-253] - [Verbesserung: MB-851] - The admin user on a REX device must not be able to be deleted
[NERO-229] - Ignore port settings for ICMP firewall rules on web interface
[NERO-233] - Session handling refactoring for improved security
[NERO-234] - Update JQuery to version 3.6.0
[NERO-237] - Redirect to Quickstart form /login if user is already logged in
[NERO-238] - Force reload of js/css for every new firmware release
[NERO-244] - Remove NodeRed HTTP option for improved security
[NERO-247] - Fix tab scrolling on web interface
[NERO-252] - Update OpenVPN version
[NERO-254] - Avoid mosquitto password generation when starting or stopping Data24


7.0.4
[NERO-258] - Add HW5 compatibility

7.0.3
[NERO-245] - [MB-843] - Increase Timeout for SIM communication (Drillisch)

7.0.2
[NERO-220] - [Verbesserung: MB-760] OpenVPN setting "Remote maintenance active at: Digital input X (High)" is hidden
[NERO-215] - Portainer.io fix sporadic starting problems

7.0.0:
Bugfixes
[NERO-171] - [BUGS-321] - Sporadically failing online connection when plc is connected via USB
[NERO-197] - [MB-757] - Send iSMS triggered from inputs
[NERO-192] - OpenVPN Web-GUI changes regarding key switch
[NERO-193] - Send extra initialization commands to Modem from web-GUI
[NERO-196] - [MB-616] - Write syslog to SD Card fixed

Feature
[NERO_168] - [Feature: FIMA-161] - Automatically choose VPN Port between 1194,443,80 if configured
[NERO-177] - [BUGS-338] - Add timezone for Sakhalin (UTC+11)

Improvements
[NERO-191] - Update Linux Kernel version of firmware to Version 5.4 LTS
[NERO-202] - Revision of the update process for future firmware versions
[NERO-205] - Update dnsmasq to version 2.83

6-2-5    
Bugfixes
[NERO-126] - [Support] BUGS-234 - fix sporadic modem interrupts
[NERO-163] - [Support] BUGS-296 - Tags for I/O-Manager cannot be deleted on the device interface
[NERO-166] - [Support] BUGS-320 - Cyclic error message for crond in device log: "no such file or directory"
[NERO-167] - [Support] BUGS-298 - Created tags for I/O Manager are not displayed on diagnose site
[NERO-172] - [Support] BUGS-332 - In case of failover (WAN -> modem) the router does not reconnect via WAN, even if Internet via WAN is available again
[NERO-176] - [Support] BUGS-333 - Online e-Mail not readable
[NERO-187] - Rework IoT Firewall rules
[NERO-188] - Set back "connected Users" if OpenVPN connection breaks
[NERO-174] - Adapt timings for modem start-up

Feature
[NERO-137] - [Feature] FIMA-164 - Allow special characters (UNICODE) in SMS sent by device

6-2-4     
Bugfixes
[NERO-76] - EDGE rework Backup-Key functionality
[NERO-81] - [Support] BUGS-155 - LUA script started even if it was disabled
[NERO-83] - TCPDUMP on the diagnosis page in the quick start had no result
[NERO-111] - "Local set time" on web interface was not taken over to device
[NERO-112] - [Support] BUGS-228 - Updating firmware via TFTP menu on the web page didnÂ´t work propely
[NERO-116] - USB-over-IP: Connection to USB devices couldnÂ´t be established sporadically
[NERO-124] - [Support] BUGS-260 - Hide WAN menu in the quickstart at devices without WAN
[NERO-133] - pppd service optimized in the case of an error
[NERO-140] - [Support] BUGS-284 - Component on LAN couldnÂ´t connect to internet in some cases
[NERO-145] - Situation with Failover if WAN plugged but there is no internet connection optimized
[NERO-147] - After synchronization, modem devices sporadically stayed offline if an additional WAN cable with DHCP is connected
[NERO-161] - IoT firewall rules reworked

Feature
[NERO-95] - Make the subject line of alarm emails customizable
[NERO-146] - Protect portainer with Login screen
[NERO-148] - [Feature] FIMA-230 - Connect WIFI to hidden networks

6-2-3    
Bugfix
[NERO-128] - RKH235: the serial MPI/PROFIBUS menu was hidden on local Web-GUI
[NERO-130] - Fix pppd Vulnerability CVE-2020-8597
[NERO-131] - CTM takes longer because of dockermanagement firewall settings

6-2-1
Bugfixes
[NERO-117] - [Support] BUGS-242 - Cannot connect to Device web-gui via web2go

6-2-0    
Bugfixes
[NERO-53] - Ignore traffic on LAN blocks internet access on connected PC
[NERO-97] - Alarm management: configuring internet SMS as alarm is not possible on device webinterface
[NERO-99] - [Support] BUGS-91 - Failover doesn't work when internet on WAN fails because of internet problems
[NERO-101] - WAN routes are not created on device webinterface
[NERO-103] - Device cannot connect to internet via wifi, when there is a WAN cable plugged in
[NERO-104] - Simply connect stops working, when a WAN cable is plugged in but there is no internet available
[NERO-109] - SMS control: check if internet connection already started
[NERO-110] - SIMPLY.connect check port 1194
[NERO-114] - [Support] BUGS-233 - MPI/PROFIBUS connection interrupted after some time

Feature
[NERO-88] - Block an automatic system reboot when someone is connected to device over vpn
[NERO-96] - Define time when device restarts every day
[NERO-85] - Add Hardware 4 requirements
[NERO-86] - Support new SPI Flash
[NERO-92] - Update mosquitto to 1.6.7 CVE-2019-11779
[NERO-93] - Patch Zero-day WiFi driver CVE-2019-17666
[NERO-113] - Add support for new LTE modul

6.1.2    
Bugfixes
[NERO-100] - Anzeigefehler EDGE

6.1.1    
Bugfixes
[NERO-38] - Devices stay offline occasionally and can not reconnect to internet via Modem
[NERO-70] - OpenVPN: Missing file extension ".key" for OpenVPN keyfile
[NERO-72] - Device sometimes is not updating the locale date time of the device when changing the timezone
[NERO-77] - Mailx exit code check includes debug messages if it is an OEM device
[NERO-79] - Missing "next" and "back" buttons in VPN wizard on Webinterface
[NERO-80] - Add an example for usage of TCPDUMP on Webinterface
[NERO-84] - Device type logo changed
[NERO-90] - Device is not connecting again via Modem after failover state "reset_device" is reached
[NERO-91] - Device occasionally stays offline after connection via Modem was disconnected from the network provider
[NERO-98] - Portal is not showing current internet device when device is connected via WiFi
Features
[NERO-48] - Display in portal how the device is connected to the internet (WAN, modem)
[NERO-75] - Use a router as NTP server to get current system time over LAN port
[NERO-20] - Prepair firmware for new WiFi module

6-1-0    
Bugfixes
[NERO-12] - RS485-2Wire Transmitter/Receiver Timing
[NERO-40] - [Support] BUGS-78 - rokey wrong startup conditions
[NERO-57] - Device is not reconnecting if the connection is lost
[NERO-59] - [Support] BUGS-98 - Mail sender changed from root to device name
[NERO-60] - It is not possible to load firmware from portal over CTM
[NERO-63] - [Support] BUGS-107 - LAN Network reachable in ONL State
[NERO-64] - [Support] BUGS-102 - OpenVPN standalone Router<>Router connection TLS Error
[NERO-65] - [Support] BUGS-94 - Default settings for COM2 wrong settings displayed
[NERO-68] - Mosquitto is creating a memory leak at high load
Features
[NERO-32] - [Feature] FIMA-80 - web UI invalid value messages
[NERO-35] - Simply-Connect-Service implementation

6-0-9    
[NERO-58] - Show EDGE license code in plain text
[NERO-61] - EDGE Improvements
[NERO-62] - Show runtime information in web gui of device and as system tag
[NERO-41] - In the quickstart of device, all 3 ports for VPN (80, 443, 1194) are grey, if one of these ports is blocked
[NERO-56] - SSH access to SD card not possible
[NERO-37] - Show progress of EDGE starting process on device overview in portal

6-0-8    
[NERO-34] - CTM behind Proxy raise some issues
[NERO-36] - Wrong configuration flag set if 'Recipient phone number' is configured in classic router mode

6-0-7    
[NERO-9] - Quickstart gives strange view on Failover and Internet by SMS
[NERO-12] - RS485-2Wire Transmitter/Receiver Timing
[NERO-15] - Check memory befor starting Firmware Update
[NERO-25] - USB access in 'ONL' Mode was possible
[NERO-26] - Change OEM URLs
[NERO-28] - OpenVPN connection interrupts GSM connection if Failover is enabled, WAN is not plugged in and Internet by SMS is set

6-0-7-rc2    
Improvements
- [#4022]: Multiplex inputs functionality implemented
Bugfixes
- [#3919]: SD Card SFTP Service display always enabled either it is disabled
- [#3986]: Some problems with connection to MQTT
- [#4012]: Save tcpdump command and add checkbox to save capture to usb drive
- [#4024/#3867]: OpenVPN as standalone server with certificate problems
- [NERO-2]: IPSec Connection start automatically after reboot
- [NERO-11]: Status page of DHCP Server problem with devices network names
- [NERO-24]: WebGUI not reachable if a SimpleNAT Rule is inserted

6-0-7-rc1    
Bugfixes
- [#3960]: OEM Server in Firststart
- [#3966]: Some problems with connection to MQTT
- [#3933]: Device API to get IoT-Tools Serialnumber

6-0-6    
Features
- [#3665]: Masquerading on WAN interface
Bugfixes
- [#3907]: WAN plug-in triggers OpenVPN on demand
- [#3794]: OEM Texte
- [#3689]: MPI/PROFIBUS Timeout during transmission
- [#3933]: SearchOverIP problems with Beckhoff, Schneider and PILZ

6-0-6-rc1
Features
- [#3904]: Set digital Outputs on each OpenVPN Connection
- [#3806/#3878]: New user access level for Quickstart view only and Quickstart without user credentials
- [#3853]: Support for new Optionboards
- [#3856]: Change Fimware update webinterface page
- [#3861]: Possibility for autoconfigurations
- [#3866]: Device state API via MQTT
Bugfixes
- [#3682]: RS485-2 Wire communication problems
- [#3815]: DHCP Server on LAN shows problems
- [#3851]: Do not restart internet and OpenVPN Connection if ctm settings are changed
- [#3843]: After reboot digital inputs shown as low even if they are high
- [#3813]: Internet-SMS with more than one number problems
- [#3865]: Firststart enable CTM as default
- [#3819]: After configuration change digital inputs shown as low
- [#3844]: Webinterface problems with IE
- [#3877]: Lua script Start/Stop Button problems
- [#3872]: SMS and E-Mail via Lua script problems
- [#3857]: DynDNS activating problems
- [#3672]: Failover does not work if WAN is plugged in but there is no DHCP lease
- [#3902]: Access webinterface via WAN interface
- [#3896]: Some SIM Cards takes longer than expected to set SIM PIN

6-0-5
Features
- [#3791]: Include option to skip certificate check if Proxy is enabled
Bugfixes
- [#3794]: Online Help URL
- [#3790]: Change WiFi Settings via webinterface

6-0-5-rc4    
Features
- [#3714]: Add new GSM Modul functionality
- [#3704]: Web Interface login with GET-Arguments
- [#3728]: Add Status > System Error Logging
- [#3715]: EDGE Functionality
- [#3740]: Send E-Mail and SMS via HTTP API request
Bugfixes
- [#3723]: Calculate used memory
- [#3724]: LAN/WAN fixed MAC DHCP Bindings
- [#3725]: Garbage characters in error system logging
- [#3726]: Modem Timeout on some slower networks
- [#3749]: OpenVPN State LED (Status->VPN-OpenVPN) shows wrong color

6-0-5-rc3    
Improvements
- [#3663]: Highlight User Firewall rules
Bugfixes
- [#3585]: First Start: DNS server setting
- [#3587]: First Start: Set APN username and Password from predefined list
- [#3588]: First Start: Start ctm after configuration
- [#3593]: Upload configuration without password reloads factory settings
- [#3594]: Show message if browser tries to communicate with device
- [#3595]: Realy reboot device message box
- [#3597]: Display used configuration space (Status>System>Memory Usage)
- [#3624]: Set Device offline
- [#3610]: Preset wrong APN
- [#3647]: LAN Components cannot reach Internet after Failover
- [#3660]: Cannot set '+' as phonenumber in Inputs.
- [#3628]: SET APN credentials via webinterface not possible
- [#3655]: Alarmmanagement Email after boot
- [#3666]: Show OEM Title
- [#3634]: Use OEM SMTP Server settings
- [#3636]: Show GSM provider and network type in quickstart view
- [#3603]: Recognize Firmware/Configuration File on plugged USB device after reboot
- [#3646]: Flush Firewall tables on stop command
- [#3677]: Add "-" "_" "." as allowed hostname characters
- [#3674]: Reduce logging to save some space
- [#3648]: Internet on Input with failover
- [#3650]: Check WAN settings plausibility
- [#3692]: Allow some special characters in IPSec connection Names
- [#3747]: No password in plain Text
- [#3581]: Modem alloc Message in syslog
- [#3580]: CTM if proxy is enabled
- [#3446]: NTP State always green
- [#3662]: Set WEB default port
- [#3615]: OpenVPN Router Router connection some inputs missing

6-0-4
Improvements
- [#3519]: Add DHCP forwarder
- [#3466]: Display WiFi Informations also in System->Info Page and print MAC Address of WiFi Module
- [#3579]: Include new Hardware parameters
- [#3550]: Passive network monitoring
Bugfixes
- [#3513]: shDIALUP Configuration submit to device
- [#3522]: Reduce MQTT Logs
- [#3524]: Unknown language in configuration
- [#3525]: Check Routes before communication between Portal and Device
- [#3498]: Missing translation
- [#3508]: Duplicate translation
- [#3514]: Missing translation
- [#3533]: Wrong Field names
- [#3536]: Timezone change wrong config node
- [#3535]: Change User Settings without change password
- [#3512]: Duplicate DNS Server if dhcp lease time is to short
- [#3538]: Add URI check to OpenVPN/IPSec peer address
- [#3552]: Con LED green although if there is no internet connection
- [#3563]: OpenVPN peer address always needed
- [#3562]: OpenVPN configuration modal error if WAN is set to dhcp and no lease is there
- [#3557]: OpenVPN multiple routes failure

6-0-3
Improvements
- [#3488]: Reload web page if login is no longer valid (e.g. session timed out)
- [#3491]/[#930]/[#1682]: Use TLS as default Mail Setting
- [#3487]: Disable web login for a defined time after wrong username/password input
- [#3486]/[#3474]: Check XSS protection
- [#3470]: Improved handling of the wizards
- [#3467]: Improved DHCP server view
- [#3466]: Display WLAN Informations in own page 'Status > WLAN'
- [#3456]: Redirect to Login page after device reboot
- [#3455]: Firststart with more informations
Bugfixes
- [#3493]: SMS Control was not possible in some situation because of security settings
- [#3480]: Modem Status Web page was not displayed
- [#3476]: Send SMS to several receiver was not possible
- [#3494]: Mail Settings dialog used wrong default values
- [#3492]: OpenVPN Password marked as required field even if 'no authentication' is set
- [#3490]: Could not save HTTPS Port via Administration Page
- [#3484]: Start NTP Update via web page was not displayed
- [#3483]/[#3477]/[#3457]: Check Ping optimized
- [#3478]: Wrong order of LAN/WAN IP in LAN<>WAN Rule
- [#3475]: Download configuration via shDIALUP to device was not possible because of security settings
- [#3469]: Download OpenVPN static key only if the changes are applied
- [#3465]: Traffic informations of the LAN interface were overwritten by the WAN interface informations
- [#3462]: GSM Modem error logging suitable
- [#3461]: Send Mail if internet connection is up was not possible
- [#3454]: Firmwareupgrade via TFTP Server was not possible because of security settings
- [#3453]: CTM Session key was not used
- [#3452]: Internet on demand with 'Dial Out' did not break OpenVPN connection
- [#3446]: NTP State displayed always as green led
- [#3441]: Enable CTM after disable CTM was not possible
- [#3440]: Add Hosts-List (depends on #3436)
- [#3431]: LAN DHCP Server provide no IP informations
- [#3241]: Some spelling mistakes

6-0-3-rc1    
Features
- Improve Ethernet Throughput
Improvements
- More informations displayed on DHCP State web Page
- Display Changelogs in Firmware update Page
- Check automatically if there is a new Firmware and update these if the option is set
Bugfixes
- Know Digital Input States after restart
- Problem occurs if there is no DNS Server configured and the ISP provides nothing
- serial drivers List
- LAN DHCP Server - No address was provided
- LAN/WAN routes not set
- No OpenVPN connection if Internet Interface is Modem and OpenVPN trigger is always
- Cannot login with a special character password. Tested chars are: (0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz_-.:;,#@!%/&*+Ã¶Ã–Ã¤Ã„Ã¼ÃœÃŸ$)"=?)
- HTTPS Port changes no consequence
- Fix some spelling mistakes
- Can not save proxy without username and password
- Set CTM enable after disable it was not working

6-0-2
Features
- Implement USBoverIP
- Include new CI Logo
Bugfixes
- Cannot changes language in quickstart view
- Set OpenVPN default values in administration view
- Set IPSec default values in administration view
- Include warning message in administration view
- ignored static DNS Server configuration
- Cannot login with Edge Browser
- SNAT/1:1 routes not set
- Outputs not set correct on VPN and Internet

6-0-1  
Bugfixes
- Webserver temporarily not available
- In some cases settings settings were not saved via REX-Webpage
- Quickstart Point 3 always gray
- Check Server certificate in ctm loop